package octopushSms;

import java.util.ArrayList;
import java.util.Scanner;

public class Main {

	public static void main(String[] args) throws Exception {
		SmsObject sms = new SmsObject();

//*************************  Configuration  ***********************
		sms.setDOMAIN(ConfigFile.getDOMAIN());
		sms.setPORT(ConfigFile.getPORT());
		sms.setPATH_SMS(ConfigFile.getPATH_SMS());
		sms.setPATH_BALANCE(ConfigFile.getPATH_BALANCE());
		sms.set_user_login(ConfigFile.get_user_login());
		sms.set_api_key(ConfigFile.get_api_key());
		sms.set_sms_text(ConfigFile.get_sms_text());

		sms.set_sms_recipients(new ArrayList<String>(ConfigFile.get_sms_recipients()));
		sms.set_recipients_first_names(new ArrayList<String>(ConfigFile.get_recipients_first_names()));
		sms.set_recipients_last_names(new ArrayList<String>(ConfigFile.get_recipients_last_names()));
		sms.set_sms_fields_1(new ArrayList<String>(ConfigFile.get_sms_fields_1()));
		sms.set_sms_fields_2(new ArrayList<String>(ConfigFile.get_sms_fields_2()));
		sms.set_sms_fields_3(new ArrayList<String>(ConfigFile.get_sms_fields_3()));

		sms.set_sms_mode(ConfigFile.getInstantane());	// INSTANTANE or change to DIFFERE for delay sms-mode sending

		sms.set_sms_type(ConfigFile.getQualitePro());	// QUALITE_STANDARD or change to QUALITE_PRO

		//Change to correct value of DAY_OF_MONTH, MONTH, HOUR_OF_DAY etc'
		sms.set_sms_d(ConfigFile.get_sms_d());	//	DAY_OF_MONTH
		sms.set_sms_m(ConfigFile.get_sms_m());	//	MONTH
		sms.set_sms_h(ConfigFile.get_sms_h());	//	HOUR_OF_DAY;
		sms.set_sms_i(ConfigFile.get_sms_i());	//	MINUTE;
		sms.set_sms_y(ConfigFile.get_sms_y());	//	YEAR;

		sms.set_sms_sender(ConfigFile.get_sms_sender());
		sms.set_request_mode(ConfigFile.getReel());
		sms.set_sms_ticket(ConfigFile.get_sms_ticket());

//****************************************************************				
		Scanner in = new Scanner(System.in);
		int i;
		do {
			System.out.println("Press 1 to get balance ");
			System.out.println("Press 2 to send SMS ");
			System.out.println("Press 0 to exit ");
			System.out.print("Press here: ");
			i = in.nextInt();
			switch (i) {
			case 1:
				System.out.println(sms.getBalance()+"\n");break;
			case 2:
				System.out.println(sms.sendSms()+"\n");break;
			case 0:
				break;
			default:
				System.out.println("Enter only number 1/2/0");break;
			}
		} while (i != 0);
		in.close();
	}
}
